Jump to content


Photo

Dopod S300 - .net compact framework 2.0 SP2

- - - - -

  • Please log in to reply
5 replies to this topic

#1
ghost_301

ghost_301

    Newbie

  • Members
  • Pip
  • 3 posts
  • Devices:Dopod s300
I just bought myself a Dopod S300, and I found some of the software need .net runtime to run, so and I download the .net framework v2.0sp2. But it always show on my phone it needs 5.0Mb+ and my phone doesn't have such space even cleared all the junk on the phone memory, it still couldn't proceed the installation, so any helper ? Thanks ...

  • 0

#2
phshatiy

phshatiy

    Newbie

  • Members
  • Pip
  • 25 posts

I just bought myself a Dopod S300, and I found some of the software need .net runtime to run, so and I download the .net framework v2.0sp2. But it always show on my phone it needs 5.0Mb+ and my phone doesn't have such space even cleared all the junk on the phone memory, it still couldn't proceed the installation, so any helper ? Thanks ...

Copy the CAB file to the card and then install from the card ON the card. It works fine then, because it doesn't swap in your main memory. I could install NET even with 2MB free like that

  • 0

#3
ghost_301

ghost_301

    Newbie

  • Members
  • Pip
  • 3 posts
  • Devices:Dopod s300
I had tried to move the cab file to memory card and install, but it still show me memory low warning and cancel the installation ... Could it be I put in the wrong Cab ? Which cab is suit for my S300 ? What i know only it is an ARM based ..

  • 0

#4
phshatiy

phshatiy

    Newbie

  • Members
  • Pip
  • 25 posts

I had tried to move the cab file to memory card and install, but it still show me memory low warning and cancel the installation ... Could it be I put in the wrong Cab ? Which cab is suit for my S300 ? What i know only it is an ARM based ..

Ah I got it now. Well the memory isn't low in fact, it installs to SD card. And in the worst case, you need about 2MB free on your device.
However, when there is app which is using the NET framework while you're installing new version, the instalation says like not enough memory. You have to run tasks manager and close all non-system processes. The best is CeleTask (for me), which shows all non system processes. System processes are hiden, or grey. So close them all and run instalation again. It will work, I had this problem when installing NET SP3

  • 0

#5
ghost_301

ghost_301

    Newbie

  • Members
  • Pip
  • 3 posts
  • Devices:Dopod s300
BUt the weird thing is the .nET SP2 required 5MB+ to install , it shown on my phone, where my phone memory is slightly lower than the required memory. I can't install it on my memory card at all .... Weird ?

  • 0

#6
phshatiy

phshatiy

    Newbie

  • Members
  • Pip
  • 25 posts

BUt the weird thing is the .nET SP2 required 5MB+ to install , it shown on my phone, where my phone memory is slightly lower than the required memory. I can't install it on my memory card at all .... Weird ?


Yeah, I know, I had this problem also. At first I thought it's because low memory. It was pretty weird, as I tried to install it from storage 
ard to storage card with 1.3GB free... So I uninstalled few apps and tried to install SP2 again. No change, although I was 2mb above the required. So I did hard reset and it worked fine. So I restored the backup of my RAM and was trying to figure out, why it doesn't want to install. And then I found out, it's because some program was using the net and it was running in the background. So I killed every non-system process and installed NET again. Worked fine.
Kill every non-system process and install. After then just reboot and everything will work fine.

  • 0




1 user(s) are reading this topic

0 members, 1 guests, 0 anonymous users